//
//  KPCellAccessoryView.h
//  TableViewPlayground
//
//  Created by Kalle Persson on 06/10/13.
//  Copyright (c) 2013 Kalle Persson. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
    KPCellAccessoryViewStateInactive,
    KPCellAccessoryViewStateActive
} KPCellAcessoryViewState;

@interface KPCellAccessoryView : UILabel

@property (nonatomic) KPCellAcessoryViewState state;
@property (nonatomic, strong) NSString *inactiveText;
@property (nonatomic, strong) NSString *activeText;
@property (nonatomic) BOOL reverse;

- (void)didChangeState;

@end
